module.exports = {
  create: {
    requestBody: ['platform_act', 'spec', 'platform_act_type', 'shop', 'goods', 'config', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['platform_act', 'platform_act_type', 'shop', 'config', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        platform_act: 'platform_act',
        platform_act_type: 'platform_act_type',
        shop: 'shop',
        shop_name: 'shop_name',
        goods: 'goods',
        goods_name: 'goods_name',
        spec: 'spec',
        spec_name: 'spec_name',
        status: 'status',
        tags: 'tags',
        act_tags: 'act_tags',
        goods_type: 'goods_type',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
