module.exports = {
  create: {
    requestBody: ['total', 'receipts', 'shop', 'cut', 'time', 'source', 'source_id'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['total', 'receipts', 'shop', 'cut', 'time', 'source', 'source_id'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'time@start': 'time@start',
        'time@end': 'time@end',
        shop: 'shop',
        source: 'source',
        source_id: 'source_id',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  computedTotal: {
    params: ['!shop'],
  },
};
