module.exports = {
  create: {
    requestBody: ['type', 'shop', 'source', 'source_id', 'time', 'content', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['type', 'shop', 'source', 'source_id', 'time', 'content', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        shop: 'shop',
        source: 'source',
        source_id: 'source_id',
        time: 'time',
        type: 'type',
        status: 'status',
        source_type: 'source_type',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  rts: {
    requestBody: ['source_id'],
    service: 'remindToSend',
  },
  rtas: {
    requestBody: ['source_id'],
    service: 'remindToAfterSale',
  },
  cnr: {
    params: ['shop'],
    service: 'countNotRead',
  },
};
