module.exports = {
  create: {
    requestBody: ['tags_file', 'shop', 'label', 'code', 'sort', 'pid', 'level', 'file', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['tags_file', 'shop', 'label', 'code', 'sort', 'pid', 'level', 'file', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        shop: 'shop',
        label: 'label',
        code: 'code',
        pid: 'pid',
        level: 'level',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['sort'],
      desc: true,
      count: true,
    },
  },
  tree: {
    parameters: {
      query: {
        pid: 'pid',
        shop: 'shop',
      },
    },
  },
  getData: {
    parameters: {
      query: {
        code: 'code',
      },
    },
  },
};
