module.exports = {
  create: {
    requestBody: ['user_id', 'shop', 'openid', 'name', 'card', 'phone', 'status', 'cause'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['user_id', 'shop', 'openid', 'name', 'card', 'phone', 'status', 'cause'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        shop: 'shop',
        user_id: 'user_id',
        openid: 'openid',
        name: 'name',
        card: 'card',
        phone: 'phone',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
