module.exports = {
  create: {
    requestBody: [
      'money',
      'order_detail',
      'customer',
      'shop',
      'set_id',
      'goods',
      'type',
      'reason',
      'desc',
      'file',
      'transport',
      'apply_time',
      'end_time',
      'status',
      'deal_person',
      'out_bill',
    ],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: [
      'money',
      'order_detail',
      'customer',
      'shop',
      'set_id',
      'goods',
      'type',
      'reason',
      'desc',
      'file',
      'transport',
      'apply_time',
      'end_time',
      'status',
      'deal_person',
      'out_bill',
    ],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        type: 'type',
        apply_time: 'apply_time',
        end_time: 'end_time',
        deal_person: 'deal_person',
        out_bill: 'out_bill',
        customer: 'customer',
        goods: '%goods.goods.name%',
        shop: 'shop',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  cgfr: {
    requestBody: ['order_detail', 'goods_id'],
    service: 'computedGoodsForRefund',
  },
  orderCancel: {
    requestBody: ['order_detail', 'desc'],
  },
  getTransportInfo: {
    params: ['!id'],
  },
  canRefund: {
    params: ['!id'],
  },
};
