module.exports = {
  create: {
    requestBody: ['shop', 'card_name', 'card_bank', 'card', '!money', '!customer', '!apply_time', '!apply_reason', 'deal_person', 'exam_time', 'exam_reason', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['shop', 'card_name', 'card_bank', 'card', 'money', 'customer', 'apply_time', 'apply_reason', 'deal_person', 'exam_time', 'exam_reason', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        shop: 'shop',
        customer: 'customer',
        apply_time: 'apply_time',
        deal_person: 'deal_person',
        exam_time: 'exam_time',
        status: 'status',
        card_name: '%card_name%',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
