module.exports = {
  create: {
    requestBody: ['!customer', 'shop', 'source', 'source_id', 'time', 'content', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['customer', 'shop', 'source', 'source_id', 'time', 'content', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'time@start': 'time@start',
        'time@end': 'timet@end',
        shop: 'shop',
        customer: 'customer',
        source: 'source',
        source_id: 'source_id',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['time'],
      desc: true,
      count: true,
    },
  },
};
