'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');

// 系统通知表
const notice = {
  customer: { type: String, required: true, zh: '用户', ref: 'User.User' }, //
  source: { type: String, required: false, zh: '消息来源' }, // 字典:notice_source
  source_id: { type: String, required: false, zh: '来源id' }, //
  shop: { type: String, required: false, zh: '店铺id' }, //
  time: { type: String, required: false, zh: '发送时间' }, //
  content: { type: String, required: false, zh: '内容' }, //
  status: { type: String, required: false, default: '0', zh: '状态' }, // 字典:notice_status
};
const schema = new Schema(notice, { toJSON: { getters: true, virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.index({ customer: 1 });
schema.index({ source: 1 });
schema.index({ source_id: 1 });
schema.index({ shop: 1 });
schema.index({ time: 1 });
schema.index({ status: 1 });

schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Notice', schema, 'notice');
};
