'use strict';
// 路由配置
const path = require('path');
const regPath = path.resolve('app', 'public', 'routerRegister');
const routerRegister = require(regPath);
const rkey = 'shopNotice';
const ckey = 'shop.shopNotice';
const keyZh = '店铺系统消息';
const routes = [
  { method: 'get', path: `${rkey}`, controller: `${ckey}.index`, name: `${ckey}Query`, zh: `${keyZh}列表查询` },
  { method: 'get', path: `${rkey}/cnr/:shop`, controller: `${ckey}.cnr`, name: `${ckey}cnr`, zh: `${keyZh}查询未读` },
  { method: 'get', path: `${rkey}/:id`, controller: `${ckey}.show`, name: `${ckey}Show`, zh: `${keyZh}查询` },
  { method: 'post', path: `${rkey}/rts`, controller: `${ckey}.rts`, name: `${ckey}rts`, zh: `发送-处理发货-${keyZh}` },
  { method: 'post', path: `${rkey}/rtas`, controller: `${ckey}.rtas`, name: `${ckey}rtas`, zh: `发送-处理售后-${keyZh}` },
  { method: 'post', path: `${rkey}/:id`, controller: `${ckey}.update`, name: `${ckey}Update`, zh: `修改${keyZh}` },
  { method: 'delete', path: `${rkey}/:id`, controller: `${ckey}.destroy`, name: `${ckey}Delete`, zh: `删除${keyZh}` },
];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
